JsUnit

## Class JsUnitFailure

    Object
       |
       +--JsUnitFailure

class JsUnitFailure

A JsUnitFailure represents an assertion failure (or a call to fail()) during the execution of a Test Function
Defined in jsUnitCore.js

Field Summary
`Object` | `comment` An optional comment about the failure
`Object` | `jsUnitMessage` The reason for the failure
`Object` | `stackTrace` The stack trace at the point at which the failure was encountered

Constructor Summary
`JsUnitFailure(comment, message)`

Field Detail

### comment

    Object comment

An optional comment about the failure

### jsUnitMessage

    Object jsUnitMessage

The reason for the failure

### stackTrace

    Object stackTrace

The stack trace at the point at which the failure was encountered

Constructor Detail

### JsUnitFailure

    JsUnitFailure(comment, message)

Parameters:

`comment` - an optional comment about the failure

`message` - the reason for the failure

JsUnit

www.jsunit.net
Documentation generated by JSDoc on Sun Sep 9 15:34:58 2007